Subject: Re: bug#55301: 27.2; RFE: Auto-create defcustom for declared minor mode keymap

From: Phil Hudson <[email-masked]>
Date: Sat, 7 May 2022 17:49:35 +0100

If nobody sees any benefit from the idea, I imagine the best thing is
to just close this.

On Sat, 7 May 2022 at 16:34, Lars Ingebrigtsen <[email-masked]> wrote:
>
> Phil Hudson <[email-masked]> writes:
>
> > How about if the KEYMAP argument (or the :keymap slot) of
> > `define-minor-mode', if given, planted a `defcustom' form for the
> > keymap, thus automagically making each minor mode keymap a
> > customization option?
>
> We don't use defcustoms for other mode maps, so I'm not sure why we
> should for the ones tied to `define-minor-mode'?  Am I missing
> something?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no